<!-- This language menu is for the top-level english README only.
Please add your language here and remove this menu in your translation. -->
<div style="text-align: right">

[DE](https://github.com/Zimbelstern/Tournant/blob/master/docs/README_de-DE.md) |
EN

</div>


<div style="text-align: center">

  <a href="https://tournant.zimbelstern.eu"><img src="https://tournant.zimbelstern.eu/favicon-192.png" alt="Tournant"></a>

  ![Latest release date](https://img.shields.io/endpoint?url=https://zimbelstern.eu/fdroid/tournant-date.json)
  ![Latest version](https://img.shields.io/endpoint?url=https://zimbelstern.eu/fdroid/tournant-version.json)
  ![F-Droid version](https://img.shields.io/f-droid/v/eu.zimbelstern.tournant)

  ![Platform: Android](https://img.shields.io/badge/platform-android-brightgreen)
  ![Language: Kotlin](https://img.shields.io/github/languages/top/zimbelstern/tournant?color=purple)
  ![Dishes served](https://img.shields.io/github/commits-since/zimbelstern/tournant/1.0?label=dishes%20served&color=00557f)

  [![GitHub sponsors](https://img.shields.io/github/sponsors/zimbelstern?label=GitHub%20sponsors)](https://github.com/sponsors/zimbelstern)
  [![Liberapay donations](https://img.shields.io/liberapay/receives/zimbelstern?label=Liberapay)](https://liberapay.com/Zimbelstern/donate)

</div>

# Tournant
<p style="font-size: 1.25em;">
  Recipe manager for Android (with Gourmand compatibility)
</p>

Tournant serves your favorite dishes on your Android device!  
With Tournant, you can manage your recipes for cooking and baking. You can sync the app with an recipe file from [Gourmand Recipe Manager](https://github.com/GourmandRecipeManager/gourmand) (previously known as Gourmet) or use Tournant as a standalone recipe manager.

<div style="text-align: center;">
  <img src="https://raw.githubusercontent.com/Zimbelstern/Tournant/master/fastlane/metadata/android/en-US/images/phoneScreenshots/1.png" alt="Start screen" style="margin: 5px; min-width: 200px; width: 30%"/>
  <img src="https://raw.githubusercontent.com/Zimbelstern/Tournant/master/fastlane/metadata/android/en-US/images/phoneScreenshots/2.png" alt="Recipe View 1" style="margin: 5px; min-width: 200px; width: 30%"/>
  <img src="https://raw.githubusercontent.com/Zimbelstern/Tournant/master/fastlane/metadata/android/en-US/images/phoneScreenshots/3.png" alt="Recipe View 2" style="margin: 5px; min-width: 200px; width: 30%"/>
</div>

## Features
- Create and edit recipes
- Import und export XML files (Gourmand)
- Sync with an XML file on the Android device
- Search in recipes and categories
- Share recipes
- Scale ingredient lists

## Installation
You can get your copy from different repositories:
- With an F-Droid compatible client (recommended)
<br/>
<a href="https://zimbelstern.eu/fdroid/repo"><img alt="Official repository" src="https://zimbelstern.eu/badge.svg" style="height:75px"/></a><a href="https://f-droid.org/packages/eu.zimbelstern.tournant/"><img alt="Get it on F-Droid" src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png" style="height:75px"/></a>
<br/>
*Note: F-Droid's main repository will be at least 2–3 days behind the official repo.*


- [Direct download](https://tournant.zimbelstern.eu/tournant.apk) (no updates)

## How to get recipes on your device
Tournant can open recipe files created by the desktop application Gourmand.
- In Gourmand Recipe Manager, navigate to `File -> Export all recipes` or press `Ctrl + Shift + T`
- Choose `Gourmet XML file format` and give the file the extension `.xml` or `.grmt`
- Push the file to the external storage of your Android device, either manually or by using file synchronisation
- Open Tournant and choose your file

## Source
The source code is [freely available on Github](https://github.com/Zimbelstern/Tournant/).

## License
Tournant is (except for the fonts) licensed under the Apache License Version 2.0. See [LICENSE](https://github.com/Zimbelstern/Tournant/blob/master/LICENSE).
Please note that the logo and name of the app are trademarks in terms of section 6 of the license.
If you make substantial changes to the app, please change the logo and name before publishing.

For license information of the embedded fonts, please see the metadata of the corresponding font files.

## Issues
Please use the [bug tracker](https://github.com/Zimbelstern/Tournant/issues). Feature requests are welcome.

## Translations
Translations of the app and metadata (description, documentation, samples) are managed with Weblate hosted on Codeberg.
Feel free to [improve translations or add your language](https://translate.codeberg.org/engage/tournant/).

<figure>
  <figcaption>App translation status (without metadata)</figcaption>
  <img src="https://translate.codeberg.org/widgets/tournant/-/app/multi-blue.svg" alt="App translation status"/>
</figure>

## Donate
If you would like to spread some love and buy the developer some chocolate, please [follow him here](https://zimbelstern.eu/donate).
